Bug 70360 - answers 'Server Failed' on certain queries
answers 'Server Failed' on certain queries
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: bind (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-31 15:40 EDT by Need Real Name
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-07 09:58:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log file from named during test (debug level 100) (130.79 KB, text/plain)
2002-08-01 20:26 EDT, Need Real Name
no flags Details
Exact network sniff during test. Used tcpdump on the box itself (12.97 KB, application/octet-stream)
2002-08-01 20:27 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2002-07-31 15:40:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Q312461)

Description of problem:
When the named daemon is setup as a full DNS server, responding on behalf of 
clients, named always responds with 'Server Failed' when looking 
up 'wwws.sun.com'.  As soon as the config is changed so named just forwards to 
ISP DNS servers, it finds the name just fine.  This happens no matter what 
client I use (MS Win nslookup, dig from the box itself).

Version-Release number of selected component (if applicable):
bind-0.2.1-0.7x

How reproducible:
Always

Steps to Reproduce:
1. Setup named with default root servers.
2. Run dig and try to lookup 'wwws.sun.com'


Actual Results:  client program responds with 'Server Failed', not sure what 
error that corresponds to in DNS protocol.

Expected Results:  client program should display the DNS entry

Additional info:

Network sniffs can be attached if needed.  Configs can be attached, but I 
think there's nothing special there.  Logs show nothing... did not try logs at 
debug level.
Comment 1 Need Real Name 2002-08-01 20:26:15 EDT
Created attachment 68406 [details]
Log file from named during test (debug level 100)
Comment 2 Need Real Name 2002-08-01 20:27:26 EDT
Created attachment 68407 [details]
Exact network sniff during test.  Used tcpdump on the box itself
Comment 3 Need Real Name 2002-08-01 20:32:19 EDT
Not reproducable on RedHat 7.3 with same bind version.
During the test used to create attachments, sever responded 'timed out' many 
times, then eventually responded 'server failed' on last query.
Comment 4 Daniel Walsh 2003-01-07 09:58:00 EST
Upgrade to the current release.

Note You need to log in before you can comment on or make changes to this bug.